@import "./base/fonts";
@import "./base/mixins";
@import "./base/variables";

@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap");

html {
  color: var(--font-color-base);
  font-size: 14px;
  font-weight: var(--font-weight-base);
}

:root,
#wrapper {
  --font-sans: "Inter", sans-serif !important;
  --color-highlight: #00c4af !important;
  --color-shade-dark: #363636 !important;
  --color-shade-regular: #707070 !important;
  --color-shade-light: #f9f9f9 !important;
}

.tw-text-black,
.tw-font-semibold {
  color: var(--primary-color) !important;
}

.tw-font-semibold {
  font-weight: 700 !important;
}

#wrapper .cta-button {
  @extend %button-default;
  font-size: 1rem;
  padding: 0.5rem 2.4rem;
  border-radius: 8px;
  width: auto;
  box-shadow: none;
  opacity: 1;
  outline: none;
  height: 3.572rem;
  font-family: var(--font-family-base) !important;
}

#wrapper .logo {
  max-width: 150px;
  object-fit: contain;
}

@include media("sm") {
  #wrapper .sidebar .header {
    margin-top: 1.5rem;
  }
}

a.order-summary {
  @extend %button-default;
  padding: 0.2rem 1rem !important;
  font-size: 1rem !important;
  height: 3.572rem !important;
  text-decoration: none;
  font-family: var(--font-family-base);

  &:first-child {
    background-color: transparent;
    border: 1px solid var(--primary-color);
    color: var(--primary-color);

    &:hover {
      color: var(--white);
      border-color: var(--secondary-color);
      background-color: var(--secondary-color);
    }
  }
}
